#!/usr/koeki/bin/ruby
# -*- coding: utf-8 -*-

number = 30          #30の数をnumberの関数に代入する

while number > 0     #0より小さい数を出さないようにする
  number -= 1        #30から1ずつ引いていく
  if number%2 == 0   #2で割って余りが0のとき(偶数)、
  next               #処理を飛ばし、次のループに入る
  end                #30から0まで、ループして処理を繰り返す
printf("奇数は%d \n",number)  #奇数の値が表示される
end

#nextとは:処理をスキップして、次のループに移る
#         今回は偶数の処理をスキップして、その他の数は処理されるようになっている
#         このように、スキップしたい処理があるときに活用できる 


#改造する時の注意点
#ifからendの中に、nextが入っているか確認する
#ifからendの中には、スキップしたい処理を記入する
